package cn.com.qmth.stmms.admin.dto;

import cn.com.qmth.stmms.biz.exam.model.ExamStudent;
import cn.com.qmth.stmms.common.annotation.ExcelField;

public class ExamStudentScoreDTO {
    
    @ExcelField(title = "序号", align = 2, sort = 10)
    private int nunber;

    @ExcelField(title = "考点名称", align = 1, sort = 20)
    private String campusName;

    @ExcelField(title = "课程名称", align = 1, sort = 30)
    private String subjectName;

    @ExcelField(title = "院校学号", align = 1, sort = 40)
    private String studentCode;

    @ExcelField(title = "学生姓名", align = 2, sort = 50)
    private String name;

    @ExcelField(title = "考试成绩", align = 2, sort = 60)
    private double totalScore;

    
    public ExamStudentScoreDTO() {
    }

    public ExamStudentScoreDTO(ExamStudent student) {
        setNunber(student.getNumber());
        setCampusName(student.getCampusName());
        setSubjectName(student.getSubjectName());
        setStudentCode(student.getStudentCode());
        setName(student.getName());
        setTotalScore(student.getTotalScore());
    }
    
    public int getNunber() {
        return nunber;
    }

    
    public void setNunber(int nunber) {
        this.nunber = nunber;
    }

    public String getCampusName() {
        return campusName;
    }

    
    public void setCampusName(String campusName) {
        this.campusName = campusName;
    }

    
    public String getSubjectName() {
        return subjectName;
    }

    
    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    
    public String getStudentCode() {
        return studentCode;
    }

    
    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    
    public String getName() {
        return name;
    }

    
    public void setName(String name) {
        this.name = name;
    }

    
    public double getTotalScore() {
        return totalScore;
    }

    
    public void setTotalScore(double totalScore) {
        this.totalScore = totalScore;
    }
    

}
